import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpTelecomUserLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.3
 * @date 2022-07-28 13:34
 */
interface PpTelecomUserLogCU extends ConditionUtil<PpTelecomUserLogCU> {
    ID: FieldUtil<PpTelecomUserLogCU>;
    USER_ID: FieldUtil<PpTelecomUserLogCU>;
    ORDER_ID: FieldUtil<PpTelecomUserLogCU>;
    USE_TIME: FieldUtil<PpTelecomUserLogCU>;
    PHONE: FieldUtil<PpTelecomUserLogCU>;
    STATE: FieldUtil<PpTelecomUserLogCU>;
}
declare class PpTelecomUserLogMU extends TableUtilImpl<PpTelecomUserLogCU, PpTelecomUserLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpTelecomUserLogCU;
    static get ID(): FieldUtil<PpTelecomUserLogCU>;
    static get USER_ID(): FieldUtil<PpTelecomUserLogCU>;
    static get ORDER_ID(): FieldUtil<PpTelecomUserLogCU>;
    static get USE_TIME(): FieldUtil<PpTelecomUserLogCU>;
    static get PHONE(): FieldUtil<PpTelecomUserLogCU>;
    static get STATE(): FieldUtil<PpTelecomUserLogCU>;
    get ID(): FieldUtil<PpTelecomUserLogCU>;
    get USER_ID(): FieldUtil<PpTelecomUserLogCU>;
    get ORDER_ID(): FieldUtil<PpTelecomUserLogCU>;
    get USE_TIME(): FieldUtil<PpTelecomUserLogCU>;
    get PHONE(): FieldUtil<PpTelecomUserLogCU>;
    get STATE(): FieldUtil<PpTelecomUserLogCU>;
}
export { PpTelecomUserLogMU, PpTelecomUserLogCU };
